// pages/games/games.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
  
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  // 大转盘
  navwheel() {
    wx.navigateTo({
      url: '../luckydraw/luckydraw',
    })
  },

  // 各部分点击跳转
  enter: function (e) {
    var kind = e.currentTarget.dataset.kind;
    var url;
    if (kind == 'record') {
      url = '../record/record';
    } else if (kind == 'wheel') {
      url = '../luckydraw/luckydraw';
    } else if (kind == 'card') {
      url = '../games/games?kind=card';
    } else if (kind == 'eggs') {
      url = '../games/games?kind=eggs'
    }
    url && wx.navigateTo({ url: url });
  },























  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})